Bug 504000 - qpid-config's altern-ex option doesn't work
qpid-config's altern-ex option doesn't work
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: python-qpid (Show other bugs)
1.1.1
All Linux
medium Severity medium
: 1.3
: ---
Assigned To: Gordon Sim
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-03 14:22 EDT by Gordon Sim
Modified: 2015-11-15 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Attempting to set an alternate exchange when creating an exchange using the "--altern-ex [NAME]" syntax as was detailed in the usage information, resulted in the usage information being displayed again. Using "-s-altern_ex [NAME]" resulted in the specified [NAME] argument not being used.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 12:11:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0773 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Messaging and Grid Version 1.3 2010-10-14 11:56:44 EDT

  None (edit)
Description Gordon Sim 2009-06-03 14:22:04 EDT
The command line option for setting an alternate exchange when creating an exchange is not handled correctly. The option as described in the usage (--altern-ex <NAME>) results in the usage statement, --altern_ex <NAME> allows declare to go ahead but doesn't use the specified argument.

See also: https://issues.apache.org/jira/browse/QPID-1890
Comment 1 Gordon Sim 2009-06-03 14:26:14 EDT
Fixed by r781498 (option is now --alternate-exchange).

To test:

qpid-config add exchange fanout dead-letter
qpid-config add exchange direct primary --alternate-exchange dead-letter
qpid-config add queue dlq
qpid-config bind dead-letter dlq
echo unrouted | ./src/tests/sender --exchange primary --send-eos 1
./src/tests/receiver --queue dlq

and the receiver should see the unrouted message.
Comment 4 Frantisek Reznicek 2010-09-23 09:00:00 EDT
The issue is resolved, qpid-config's --alternate-exchange option works as expected now.
Tested on RHEL 4.8 / 5.5 i386 / x86_64 on packages:
python-qmf-0.7.946106-13.el5
python-qpid-0.7.946106-14.el5
qmf-*0.7.946106-16.el5
qpid-cpp-*-0.7.946106-16.el5
qpid-dotnet-0.4.738274-2.el5
qpid-java-*-0.7.946106-10.el5
qpid-tools-0.7.946106-11.el5


-> VERIFIED
Comment 5 Douglas Silas 2010-10-07 11:40:38 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Attempting to set an alternate exchange when creating an exchange using the "--altern-ex [NAME]" syntax as was detailed in the usage information, resulted in the usage information being displayed again. Using "-s-altern_ex [NAME]" resulted in the specified [NAME] argument not being used.
Comment 7 errata-xmlrpc 2010-10-14 12:11:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.